## debian-cd 3.1.23

=== Makefile ===
#!/usr/bin/make -f

# Main Makefile for debian-cd
#
# Copyright 1999 Raphaël Hertzog <hertzog@debian.org>
# See the README file for the license
#
# Significantly modified 2005-2006 Steve McIntyre <93sam@debian.org>
# for multi-arch and mixed bin/src discs
#
# The environment variables must have been set
# before. For this you can source the CONF.sh 
# file in your shell


## DEFAULT VALUES
ifndef VERBOSE_MAKE
Q=@
endif
ifndef TASK
TASK=Debian-generic
endif
ifndef MKISOFS
ifneq (,$(filter i386 amd64 arm64 hppa,$(ARCHES)))
export MKISOFS=xorriso
export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso md5,sha1
else
export MKISOFS=$(shell which genisoimage mkisofs | head -1)
endif
endif
ifndef MKISOFS_OPTS
#For normal users
MKISOFS_OPTS=-r
#For symlink farmers
#MKISOFS_OPTS=-r -F .
endif
ifndef HOOK
HOOK=$(BASEDIR)/tools/$(CODENAME).hook
endif
ifndef ARCHIVE_KEYRING_PACKAGE
ARCHIVE_KEYRING_PACKAGE=debian-archive-keyring
endif
ifndef ARCHIVE_KEYRING_FILE
ARCHIVE_KEYRING_FILE=usr/share/keyrings/debian-archive-keyring.gpg
endif

export BUILD_DATE=$(shell date -u +%Y%m%d-%H:%M)
export ARCHES_NOSRC=$(shell echo $(ARCHES) | sed 's/source//')
ifeq ($(ARCHES),source)
	export SOURCEONLY=yes
endif
ifeq ($(shell echo $(ARCHES) | sed 's/.*source.*/1/'),1)
	export INC_SOURCE=yes
endif

UNDER_ARCHES=$(shell echo $(ARCHES) | sed 's/\ /_/g')
ARCH_MKISOFS = ${${UNDER_ARCHES}_MKISOFS}
ARCH_MKISOFS_OPTS = ${${UNDER_ARCHES}_MKISOFS_OPTS}
ifneq (${ARCH_MKISOFS},)
    MKISOFS = ${ARCH_MKISOFS}
endif
ifneq (${ARCH_MKISOFS_OPTS},)
    MKISOFS_OPTS = ${ARCH_MKISOFS_OPTS}
endif
ifndef DEBOOTSTRAP_OPTS
DEBOOTSTRAP_OPTS=--no-check-gpg
endif

## Additional packages required for Debian Ports
DEBIAN_PORTS_ARCHES=alpha hppa ia64 hurd-i386 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc sparc64 x32
ifneq (,$(filter $(DEBIAN_PORTS_ARCHES),$(ARCHES)))
export BASE_INCLUDE := $(BASEDIR)/data/debian_ports $(BASE_INCLUDE)
endif

## Internal variables  
apt=$(BASEDIR)/tools/apt-selection
check_backports_packages=$(BASEDIR)/tools/check_backports_packages
sort_deps=$(BASEDIR)/tools/sort_deps
md5sum=md5sum
jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
grab_md5=$(BASEDIR)/tools/grab_md5
make_image=$(BASEDIR)/tools/make_image
merge_package_lists=$(BASEDIR)/tools/merge_package_lists
update_popcon=$(BASEDIR)/tools/update_popcon
grab_source_list=$(BASEDIR)/tools/grab_source_list
which_deb=$(BASEDIR)/tools/which_deb
catz=$(BASEDIR)/tools/catz

BDIR=$(TDIR)/$(CODENAME)
TASKDIR=$(BDIR)/tasks
ADIR=$(APTTMP)
DB_DIR=$(BDIR)/debootstrap

export DEBOOTSTRAP_DIR := $(DB_DIR)/usr/share/debootstrap
export PATH := $(DB_DIR)/usr/sbin:$(PATH)
export BDIR
export TASKDIR

## DEBUG STUFF ##

default:
	@echo "Please refer to the README file for more information"
	@echo "about the different targets available."

## CHECKS ##

# Basic checks in order to avoid problems
ok:
ifdef FORCE_FAIL
	@echo Debug variable FORCE_FAIL defined -- abort now; false
endif
ifndef TDIR
	@echo TDIR undefined -- set up CONF.sh; false
endif
ifndef BASEDIR
	@echo BASEDIR undefined -- set up CONF.sh; false
endif
ifndef MIRROR
	@echo MIRROR undefined -- set up CONF.sh; false
endif
ifndef ARCHES
	@echo ARCHES undefined -- set up CONF.sh; false
endif
ifndef CODENAME
	@echo CODENAME undefined -- set up CONF.sh; false
endif
ifndef DISKTYPE
	@echo DISKTYPE undefined -- set up CONF.sh; false
endif
ifndef OUT
	@echo OUT undefined -- set up CONF.sh; false
endif
ifdef NONFREE
ifdef EXTRANONFREE
	@echo Never use NONFREE and EXTRANONFREE at the same time; false
endif
endif
	@if [ $(DISKTYPE) = "NETINST" -o $(DISKTYPE) = "BC" ] ; then \
		if [ "$(INC_SOURCE)"x = "yes"x ] ; then \
			echo "Including source is not supported on a netinst/bc CD"; \
			false; \
		fi; \
	fi

## INITIALIZATION ##

# Creation of the directories needed
init: ok $(OUT) $(TDIR) $(BDIR) $(ADIR) $(TASKDIR) $(BDIR)/DATE $(DB_DIR) unstable-map
$(OUT):
	$(Q)mkdir -p $(OUT)
$(TDIR):
	$(Q)mkdir -p $(TDIR)
$(BDIR):
	$(Q)mkdir -p $(BDIR)
$(ADIR):
	$(Q)mkdir -p $(ADIR)
$(TASKDIR):
ifneq ($(ARCHES),source)
	$(Q)echo "Updating task files..."
	$(Q)mkdir -p $(TASKDIR)
	$(Q)echo "- copying task files from 'tasks/$(DI_CODENAME)/'"
	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
	$(Q)echo "- generating dynamic task files"
	$(Q)set -e; cd $(TASKDIR); \
		$(BASEDIR)/tools/update_tasks; \
		$(BASEDIR)/tools/generate_di_list; \
		$(BASEDIR)/tools/generate_di+k_list
ifeq ($(FORCE_FIRMWARE),1)
	# Generate firmware task file using the contents of the archive
	$(Q)$(BASEDIR)/tools/generate_firmware_task "$(ARCHES)" $(TASKDIR)/firmware
endif
ifeq ($(DEBIAN_EDU),1)
	# Generate Debian Edu task file containing (almost) all of Debian Edu's packages
	$(Q)$(BASEDIR)/tools/generate_debian-edu_task "$(ARCHES)" $(TASKDIR)/debian-edu-full
endif
endif
$(BDIR)/DATE:
	$(Q)date -u '+%Y%m%d' > $(BDIR)/DATE
	$(Q)date -u '+%Y%m%dT%H%M%SZ' --date tomorrow > $(BDIR)/DATE-zulu

ifdef MIRROR
LATEST_DB := $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) debootstrap)
$(DB_DIR): $(LATEST_DB)
	@rm -rf $(DB_DIR)
	$(Q)dpkg -x $(LATEST_DB) $(DB_DIR)
	$(Q)if [ ! -e $(DEBOOTSTRAP_DIR)/scripts/$(CODENAME) ] ; then \
		ln -sf sid $(DEBOOTSTRAP_DIR)/scripts/$(CODENAME) ; \
	fi
endif

# Make sure unstable/sid points to testing/buster, as there is no build
# rule for unstable/sid.
unstable-map:
	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
		ln -s buster $(BASEDIR)/data/sid ; \
	fi
	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
		ln -s buster $(BASEDIR)/tools/boot/sid ; \
	fi

#################
## CLEAN RULES ##
#################

# Cleans the current arch tree (but not packages selection info)
clean: ok dir-clean
dir-clean:
	$(Q)rm -rf $(BDIR)/CD[1234567890]*
	$(Q)rm -rf $(TASKDIR)
	$(Q)rm -f $(BDIR)/*.filelist*
	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/upgrade-stamp $(BDIR)/md5-check

# Completely cleans the current arch tree
realclean: distclean
distclean: ok clean
	$(Q)echo "Cleaning the build directory"
	$(Q)rm -rf $(ADIR)
	$(Q)rm -rf $(TDIR)

####################
## STATUS and APT ##
####################

$(CODENAME)_status: ok init
	$(Q)for ARCH in $(ARCHES_NOSRC); do \
		echo "Using the provided status file for $(CODENAME)-$$ARCH ..."; \
		cp $(BASEDIR)/data/$(CODENAME)/status.$$ARCH $(ADIR)/$(CODENAME)-$$ARCH/status 2>/dev/null || $(MAKE) status || $(MAKE) correctstatus ; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			echo "Using the provided status file for $(CODENAME)-backports-$$ARCH ..."; \
			cp $(BASEDIR)/data/$(CODENAME)/status.$$ARCH $(ADIR)/$(CODENAME)-backports-$$ARCH/status 2>/dev/null || $(MAKE) status || $(MAKE) correctstatus ; \
		fi; \
	done

# Regenerate the status file with only packages that
# are of priority standard or higher
status: init $(ADIR)/status
$(ADIR)/status:
	@echo "Generating a fake status file for apt-get and apt-cache..."
	$(Q)for ARCH in $(ARCHES); do \
		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/preferences.d; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/preferences.d; \
		fi; \
		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" -o "$(INSTALLER_CD)" = "C" -o "$(INSTALLER_CD)" = "F" ];then \
			:> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				:> $(ADIR)/$(CODENAME)-backports-$$ARCH/status ; \
			fi; \
		else \
			$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
			perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
			>> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
				perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
				>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status ; \
			fi; \
		fi; \
	done;
	:> $(ADIR)/status

	# Set up keyring so apt doesn't complain
	@echo "Setting up archive-keyring"
	$(Q)mkdir -p $(TDIR)/archive-keyring
	$(Q)dpkg -x $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) $(ARCHIVE_KEYRING_PACKAGE)) $(TDIR)/archive-keyring
	$(Q)for ARCH in $(ARCHES); do \
		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
			ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
		fi; \
	done

	# Updating the apt database
	$(Q)for ARCH in $(ARCHES); do \
		export ARCH=$$ARCH; \
		$(apt) update; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			USE_BP=1 $(apt) update; \
		fi; \
	done

	# If we're doing a build using d-i from sid, we'll need sid sources too
	if [ "$(INC_SOURCE)"x = "yes"x ] && \
		[ "$(DI_CODENAME)"x != ""x ] && \
		[ "$(DI_CODENAME)"x != "$(CODENAME)"x ] ; then \
		mkdir -p $(ADIR)/$(DI_CODENAME)-source/apt/preferences.d ; \
		:> $(ADIR)/$(DI_CODENAME)-source/status ; \
		export CODENAME=$(DI_CODENAME); \
		export ARCH=source; \
		$(apt) update; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			USE_BP=1 $(apt) update; \
		fi; \
	fi
    #
    # Checking the consistency of the standard system
    # If this does fail, then launch make correctstatus
    #
	$(Q)for ARCH in $(ARCHES); do \
		export ARCH=$$ARCH; \
		$(apt) check || $(MAKE) correctstatus; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			USE_BP=1 $(apt) check || $(MAKE) correctstatus; \
		fi; \
	done

# Only useful if the standard system is broken
# It tries to build a better status file with apt-get -f install
correctstatus: status apt-update
    # You may need to launch correctstatus more than one time
    # in order to correct all dependencies
    #
    # Removing packages from the system :
	$(Q)set -e; \
	if [ "$(ARCHES)" != "source" ] ; then \
		for ARCH in $(ARCHES_NOSRC); do \
			export ARCH=$$ARCH; \
			for i in `$(apt) deselected -f install`; do \
				echo $$ARCH:$$i; \
				perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
				$(ADIR)/$(CODENAME)-$$ARCH/status; \
			done; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				for i in `USE_BP=1 $(apt) deselected -f install`; do \
					echo $$ARCH:$$i; \
					perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
					$(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
				done; \
			fi; \
		done; \
    fi
    #
    # Adding packages to the system :
	$(Q)set -e; \
	if [ "$(ARCHES)" != "source" ] ; then \
		for ARCH in $(ARCHES_NOSRC); do \
			export ARCH=$$ARCH; \
			for i in `$(apt) selected -f install`; do \
				echo $$ARCH:$$i; \
				$(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
			done; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				for i in `USE_BP=1 $(apt) selected -f install`; do \
					echo $$ARCH:$$i; \
					USE_BP=1 $(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
					"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
					>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
				done; \
			fi; \
		done; \
    fi
    #
    # Showing the output of apt-get check :
	$(Q)for ARCH in $(ARCHES_NOSRC); do \
		ARCH=$$ARCH $(apt) check; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			USE_BP=1 ARCH=$$ARCH $(apt) check; \
		fi; \
	done

apt-update: status
	$(Q)if [ "$(ARCHES)" != "source" ] ; then \
		for ARCH in $(ARCHES); do \
			echo "Apt-get is updating its files ..."; \
			ARCH=$$ARCH $(apt) update; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				USE_BP=1 ARCH=$$ARCH $(apt) update; \
			fi; \
		done; \
    fi

## GENERATING LISTS ##

# Deleting the list only
deletelist: ok
	$(Q)-rm $(BDIR)/rawlist
	$(Q)-rm $(BDIR)/list

packagelists: ok apt-update genlist

# Build the raw list (cpp output) with doubles and spaces
$(BDIR)/rawlist:

=== debian/changelog ===
debian-cd (3.1.23) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tools/start_new_disc: set adjusted cd_type for incomplete BD image for
    offline usable Edu BDs. Closes: #769589
  * contrib/HEADER.html.in: add paragraphs describing the Debian Edu netinst
    images for amd64 and i386.

  [ Steve McIntyre ]
  * Add grub-efi packages to armhf media.

  [ Samuel Thibault ]
  * Support dark theme boot entries.

  [ Holger Levsen ]
  * data/buster: update Debian Edu installer logo and syslinux splash image
    from src:debian-edu-artwork 2.10.5-1.
  * contrib: updated from setup.git/buster/.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Feb 2019 19:08:26 +0100

## debian-cd 3.1.25

=== debian/changelog ===
debian-cd (3.1.25) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix for stupid bug in 3.1.24 - rebuild without my locally-hacked
    CONF.sh in the package build. :-(

 -- Steve McIntyre <93sam@debian.org>  Wed, 26 Jun 2019 18:26:02 +0100

debian-cd (3.1.24) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/buster/Debian-edu-full: Force missing packages onto the Edu BD.
    (This is a workaround for the effects of #601203)

  [ Holger Levsen ]
  * contrib/cronjob.weekly: drop -usb from CDNAME for Debian Edu BD images, as
    "usb" is both wrong as well as redundant as 'BD' is also part of the
    generated filenames.

  [ John Paul Adrian Glaubitz ]
  * Add grub-efi{,{-ia64,{-bin}}} to tools/generate_di+k_list on ia64
  * Remove elilo from tools/generate_di+k_list on {i386,ia64}
  * Switch bootloader from elilo to grub-efi-ia64 on ia64
  * Switch bootloader from yaboot to grub-ieee1275 on powerpc
  * Switch bootloader from yaboot to grub-ieee1275 on ppc64
  * Switch bootloader from silo to grub-ieee1275 on sparc
  * Switch bootloader from silo to grub-ieee1275 on sparc64

  [ Steve McIntyre ]
  * Tweak ordering of snapshot URLs - put snapshot.d.o last in the list in
    jigdo files, to reduce load on the service.
  * Don't include -686-pae udebs on media - we may not have a kernel
    to use with them anyway
  * Add support for USB sticks any integer multiple of 1GB in size.
  * Copy in the updated buster cronjobs to match current state.

 -- Steve McIntyre <93sam@debian.org>  Sat, 22 Jun 2019 18:19:21 +0100

=== debian/control ===
Source: debian-cd
Section: admin
Priority: optional
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>,
 Santiago Garcia Mantinan <manty@debian.org>,
 Steve McIntyre <93sam@debian.org>,
 Holger Levsen <holger@debian.org>
Build-Depends: debhelper-compat (= 11)
Build-Depends-Indep: tofrodos
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/images-team/debian-cd.git
Vcs-Browser: https://salsa.debian.org/images-team/debian-cd

Package: debian-cd
Architecture: all
Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt, make, xorriso | genisoimage, lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl, wget
Recommends: hfsutils, netpbm, isolinux, syslinux-common, syslinux-utils, mtools, dosfstools
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD sets.

## debian-cd 3.1.25A~5.0.0.202103261654

=== Makefile ===
--- 
+++ 
@@ -162,7 +162,6 @@
 	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
 	$(Q)echo "- generating dynamic task files"
 	$(Q)set -e; cd $(TASKDIR); \
-		$(BASEDIR)/tools/update_tasks; \
 		$(BASEDIR)/tools/generate_di_list; \
 		$(BASEDIR)/tools/generate_di+k_list
 ifeq ($(FORCE_FIRMWARE),1)
@@ -248,7 +247,7 @@
 			fi; \
 		else \
 			$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
-			perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
+			perl -000 -ne 's/^(Package: (\S+))$$/$$1\nStatus: install ok installed/m; print if (not $$seen{$$2}++ and (/^Priority: (required|important|standard)/m or /^Section: base/m));' \
 			>> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
 			if [ "$$BACKPORTS"x != ""x ] ; then \
 				$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
@@ -265,7 +264,7 @@
 	$(Q)dpkg -x $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) $(ARCHIVE_KEYRING_PACKAGE)) $(TDIR)/archive-keyring
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
-		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
+		ln -sf $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
 		if [ "$$BACKPORTS"x != ""x ] ; then \
 			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
 			ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
@@ -319,13 +318,13 @@
 			export ARCH=$$ARCH; \
 			for i in `$(apt) deselected -f install`; do \
 				echo $$ARCH:$$i; \
-				perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
+				perl -i -000 -ne "print unless /^Package: \Q$$i\E\$$/m" \
 				$(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
 			if [ "$$BACKPORTS"x != ""x ] ; then \
 				for i in `USE_BP=1 $(apt) deselected -f install`; do \
 					echo $$ARCH:$$i; \
-					perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
+					perl -i -000 -ne "print unless /^Package: \Q$$i\E$$/m" \
 					$(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
 				done; \
 			fi; \
@@ -337,19 +336,15 @@
 	if [ "$(ARCHES)" != "source" ] ; then \
 		for ARCH in $(ARCHES_NOSRC); do \
 			export ARCH=$$ARCH; \
-			for i in `$(apt) selected -f install`; do \
-				echo $$ARCH:$$i; \
-				$(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
-				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
+			$(apt) selected -f install | \
+			xargs --no-run-if-empty $(apt) cache --no-all-versions show "$$i" | \
+			perl -000 -npe "s/^(Package: \S+)\$$/\$$1\nStatus: install ok installed/m;" \
 				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
-			done; \
-			if [ "$$BACKPORTS"x != ""x ] ; then \
-				for i in `USE_BP=1 $(apt) selected -f install`; do \
-					echo $$ARCH:$$i; \
-					USE_BP=1 $(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
-					"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				USE_BP=1 $(apt) selected -f install | \
+				USE_BP=1 xargs --no-run-if-empty $(apt) cache --no-all-versions show "$$i" | \
+				perl -000 -npe "s/^(Package: \S+)\$$/\$$1\nStatus: install ok installed/m;" \
 					>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
-				done; \
 			fi; \
 		done; \
     fi

=== debian/changelog ===
debian-cd (3.1.25A~5.0.0.202103261654) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35918-added-debug-output
    0003-Replace-previous-sym-links
    0004-Use-only-first-package-candidate
    0005-Anchor-package-name-regular-expression
    0006-Invoke-apt-cache-only-once
    0007-Bug-38913-Drop-other-kernel-modules
    0008-Bug-37008-DVD-Fix-relative-paths
    0009-Bug-37008-DVD-Use-copy-as-fallback-for-hard-linking
    0010-Bug-37164-DVD-Disable-Debian-task-rebuilding
    0011-Bug-36268-DVD-Remove-Debian-specific-documentation
    0012-Bug-45868-DVD-Fix-MD5-Ss-um-parsing
    0013-Bug-45868-DVD-hard-code-component-main

 -- Univention builddaemon <buildd@univention.de>  Fri, 26 Mar 2021 16:54:57 +0100

## debian-cd 3.1.25+nmu1

=== debian/changelog ===
debian-cd (3.1.25+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:13:07 +0800

## debian-cd 3.1.26

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 ifndef MKISOFS
 ifneq (,$(filter i386 amd64 arm64 hppa,$(ARCHES)))
 export MKISOFS=xorriso
-export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso md5,sha1
+export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso sha256,sha512
 else
 export MKISOFS=$(shell which genisoimage mkisofs | head -1)
 endif
@@ -162,6 +162,7 @@
 	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
 	$(Q)echo "- generating dynamic task files"
 	$(Q)set -e; cd $(TASKDIR); \
+		$(BASEDIR)/tools/update_tasks; \
 		$(BASEDIR)/tools/generate_di_list; \
 		$(BASEDIR)/tools/generate_di+k_list
 ifeq ($(FORCE_FIRMWARE),1)
@@ -247,7 +248,7 @@
 			fi; \
 		else \
 			$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
-			perl -000 -ne 's/^(Package: (\S+))$$/$$1\nStatus: install ok installed/m; print if (not $$seen{$$2}++ and (/^Priority: (required|important|standard)/m or /^Section: base/m));' \
+			perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
 			>> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
 			if [ "$$BACKPORTS"x != ""x ] ; then \
 				$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
@@ -264,7 +265,7 @@
 	$(Q)dpkg -x $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) $(ARCHIVE_KEYRING_PACKAGE)) $(TDIR)/archive-keyring
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
-		ln -sf $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
+		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
 		if [ "$$BACKPORTS"x != ""x ] ; then \
 			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
 			ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
@@ -318,13 +319,13 @@
 			export ARCH=$$ARCH; \
 			for i in `$(apt) deselected -f install`; do \
 				echo $$ARCH:$$i; \
-				perl -i -000 -ne "print unless /^Package: \Q$$i\E\$$/m" \
+				perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
 				$(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
 			if [ "$$BACKPORTS"x != ""x ] ; then \
 				for i in `USE_BP=1 $(apt) deselected -f install`; do \
 					echo $$ARCH:$$i; \
-					perl -i -000 -ne "print unless /^Package: \Q$$i\E$$/m" \
+					perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
 					$(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
 				done; \
 			fi; \
@@ -336,15 +337,19 @@
 	if [ "$(ARCHES)" != "source" ] ; then \
 		for ARCH in $(ARCHES_NOSRC); do \
 			export ARCH=$$ARCH; \
-			$(apt) selected -f install | \
-			xargs --no-run-if-empty $(apt) cache --no-all-versions show "$$i" | \
-			perl -000 -npe "s/^(Package: \S+)\$$/\$$1\nStatus: install ok installed/m;" \
+			for i in `$(apt) selected -f install`; do \
+				echo $$ARCH:$$i; \
+				$(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
+				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
 				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
-			if [ "$$BACKPORTS"x != ""x ] ; then \
-				USE_BP=1 $(apt) selected -f install | \
-				USE_BP=1 xargs --no-run-if-empty $(apt) cache --no-all-versions show "$$i" | \
-				perl -000 -npe "s/^(Package: \S+)\$$/\$$1\nStatus: install ok installed/m;" \
+			done; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				for i in `USE_BP=1 $(apt) selected -f install`; do \
+					echo $$ARCH:$$i; \
+					USE_BP=1 $(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
+					"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
 					>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
+				done; \
 			fi; \
 		done; \
     fi

=== debian/changelog ===
debian-cd (3.1.26) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start bullseye development, copy the buster dirs to bullseye as a
    start.
  * Stop producing MD5SUMS and SHA1SUMS files by default.
  * Add shim-signed and grub-efi-arm64-signed to the arm64 package
    list.
  * Change a load of http URLs to use https instead.

  [ Holger Levsen ]
  * d/control:
    - bump standards version to 4.4.0, no changes needed.
    - bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Aug 2019 11:50:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Santiago Garcia Mantinan <manty@debian.org>,
  Steve McIntyre <93sam@debian.org>,
  Holger Levsen <holger@debian.org>
-Build-Depends: debhelper-compat (= 11)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: tofrodos
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/images-team/debian-cd.git
 Vcs-Browser: https://salsa.debian.org/images-team/debian-cd

## debian-cd 3.1.28

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,9 @@
 ifndef ARCHIVE_KEYRING_FILE
 ARCHIVE_KEYRING_FILE=usr/share/keyrings/debian-archive-keyring.gpg
 endif
+ifndef JIGDO_CHECKSUM
+JIGDO_CHECKSUM=md5
+endif
 
 export BUILD_DATE=$(shell date -u +%Y%m%d-%H:%M)
 export ARCHES_NOSRC=$(shell echo $(ARCHES) | sed 's/source//')
@@ -78,7 +81,7 @@
 sort_deps=$(BASEDIR)/tools/sort_deps
 md5sum=md5sum
 jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
-grab_md5=$(BASEDIR)/tools/grab_md5
+grab_checksums=$(BASEDIR)/tools/grab_checksums
 make_image=$(BASEDIR)/tools/make_image
 merge_package_lists=$(BASEDIR)/tools/merge_package_lists
 update_popcon=$(BASEDIR)/tools/update_popcon
@@ -208,7 +211,7 @@
 	$(Q)rm -rf $(BDIR)/CD[1234567890]*
 	$(Q)rm -rf $(TASKDIR)
 	$(Q)rm -f $(BDIR)/*.filelist*
-	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/upgrade-stamp $(BDIR)/md5-check
+	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/upgrade-stamp $(BDIR)/checksum-check
 
 # Completely cleans the current arch tree
 realclean: distclean
@@ -382,5 +385,3 @@
 
 packagelists: ok apt-update genlist
 
-# Build the raw list (cpp output) with doubles and spaces
-$(BDIR)/rawlist:

=== debian/changelog ===
debian-cd (3.1.28) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add a "with firmware" text to the DISKINFO string when appropriate
    Closes: #944207

  * Major changes to jigdo support - add support for the new
    sha256-based v2 format so we can think about phasing out
    dependencies on md5. Will still build using md5 stuff for
    compatibility for now - we need a new xorriso release (1.5.3?) to
    hit the archive and (more importantly!) users to get current jigdo
    clients too before we can switch. Closes: #949965

  [ Samuel Thibault ]
  * Drop support for xorriso versions before 1.2.2
  * Add hurd-i386 EFI support.

  [ John Paul Adrian Glaubitz ]
  * Add missing export keyword for ARCHIVE_KEYRING_FILE and
    ARCHIVE_KEYRING_PACKAGE variables in CONF.sh.

  [ Raphaël Hertzog ]
  * Fix a quoting bug that leads to failure in start_new_disc
    when CODENAME is kali-last-snapshot.
  * Add symlinks for kali-last-snapshot in data/, tasks/ and tools/boot/.
  * Add a default value to JIGDO_CHECKSUM.

 -- Steve McIntyre <93sam@debian.org>  Tue, 28 Jan 2020 12:53:41 +0000

debian-cd (3.1.27) unstable; urgency=medium

  [ Samuel Thibault ]
  * Keep grub resolution in EFI boot, to avoid tiny fonts (closes: #935546).

  [ Steve McIntyre ]
  * Update arch lists in build_all.sh, remove arches not in bullseye
  * Update ordering of checksumming in imagesums

  [ Holger Levsen ]
  * contrib: Updated from setup.git/bullseye/.
  * d/control: Bump standards version to 4.4.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Oct 2019 18:06:41 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Holger Levsen <holger@debian.org>
 Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: tofrodos
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/images-team/debian-cd.git
 Vcs-Browser: https://salsa.debian.org/images-team/debian-cd

## debian-cd 3.1.29

=== Makefile ===
--- 
+++ 
@@ -269,6 +269,9 @@
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
 		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
+		for key in $(ARCHIVE_EXTRA_KEYS); do \
+			gpg --export -a $$key >> $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d/$$key.asc; \
+		done; \
 		if [ "$$BACKPORTS"x != ""x ] ; then \
 			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
 			ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
@@ -378,10 +381,3 @@
 
 ## GENERATING LISTS ##
 
-# Deleting the list only
-deletelist: ok
-	$(Q)-rm $(BDIR)/rawlist
-	$(Q)-rm $(BDIR)/list
-
-packagelists: ok apt-update genlist
-

=== debian/changelog ===
debian-cd (3.1.29) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Fix tools/sort_deps to not accept udeb as solutions to dependencies of
    regular deb (and vice-versa).

  [ Steve McIntyre ]
  * Add easier support for extra archive signing keys - list
    fingerprints in ARCHIVE_EXTRA_KEYS.
  * Exclude lilo-installer (and elilo-installer) for all arches, not
    just amd64. This was an oversight before.
  * Enable graphical installer for arm64 too, now that d-i builds
    should include it too.

  [ John Paul Adrian Glaubitz ]
  * Remove leftover yaboot directory for buster and bullseye.

  [ Wolfgang Schweer ]
  * Adjust Debian Edu list of packages:
    - tasks/bullseye/Debian-edu-full: updated after major setup rework.
    - tools/generate_debian-edu_task: no longer exclude Cinnamon desktop
      environment.

  [ Holger Levsen ]
  * Bump standards version to 4.5.0, no changes needed.
  * Bump debhelper-compat to 13.

 -- Holger Levsen <holger@debian.org>  Tue, 26 May 2020 16:10:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Santiago Garcia Mantinan <manty@debian.org>,
  Steve McIntyre <93sam@debian.org>,
  Holger Levsen <holger@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: tofrodos
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/images-team/debian-cd.git
 Vcs-Browser: https://salsa.debian.org/images-team/debian-cd

## debian-cd 3.1.31

=== debian/changelog ===
debian-cd (3.1.31) unstable; urgency=medium

  [ Steve McIntyre ]
  * tools/generate_di_list: Only include kernel udebs for the highest
    ABI we know about. Don't waste space on new installation media
    with older udebs from the archive.

  [ Holger Levsen ]
  * lintian-overrides:
    - add overrides for package-contains-documentation-outside-usr-share-doc
      for usr/share/debian-cd/(contrib|data|tasks).
    - drop unused missing-depends-on-sensible-utils.

 -- Holger Levsen <holger@debian.org>  Wed, 14 Oct 2020 16:34:41 +0200

debian-cd (3.1.30) unstable; urgency=medium

  [ Steve McIntyre ]
  * tools/update_popcon: cope with lower-case HTTP headers too; recently
    Debian enabled http2 so this broke.

  [ Holger Levsen ]
  * Convert README to UTF-8.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Sep 2020 17:18:38 +0200

## debian-cd 3.1.32

=== debian/changelog ===
debian-cd (3.1.32) unstable; urgency=medium

  [ Steve McIntyre ]
  * Update default config - we're building for bullseye (11) now.
  * Add support for running the final make_image step in parallel to
    make best use of larger machines with SSD storage. Use
    PARALLEL_MAKE_IMAGE=<n> to specify how many to build in parallel.
  * Be more explicit if DISKTYPE is not specified, or unrecognised.
  * When compressing translations, remove the uncompressed version.

  [ Wolfgang Schweer ]
  * data/bullseye: Update Debian Edu installer logo and syslinux splash image
    from src:debian-edu-artwork 2.11.2-1.
  * tasks/bullseye/Debian-edu-full: Add winbind, freeradius and freeradius-krb5
    packages.

  [ Steev Klimaszewski ]
  * Fix sed delimiters in various scripts.

  [ Samuel Thibault ]
  * Make tools/start_new_disc also cleanup SHA512 checksums.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Jan 2021 14:45:59 +0100

## debian-cd 3.1.33

=== debian/changelog ===
debian-cd (3.1.33) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * data/bullseye: Update Debian Edu syslinux splash image from
    src:debian-edu-artwork 2.11.4-1.

  [ Holger Levsen ]
  * tools/which_deb: Apply patch by JH Chatenet to fix problems with local xz
    compressed Packages files. Closes: #968668
  * tools/start_new_disc: Apply patch by JH Chatenet to include local Release
    file for debian-installer. Closes: #968671
  * tools/make_disc_trees: Apply patch by Daniel Dickinson to create Packages
    files for local/debian-installer. Closes: #523017

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 19:45:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Holger Levsen <holger@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: tofrodos
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/images-team/debian-cd.git
 Vcs-Browser: https://salsa.debian.org/images-team/debian-cd

## debian-cd 3.1.34

=== debian/changelog ===
debian-cd (3.1.34) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * data/bullseye: Update Debian Edu installer logo and syslinux splash image
    from src:debian-edu-artwork 2.11.5-1.
  * tools/boot/*/boot-x86: Prevent custom splash images from being modified.
    The related code seems to have been useful a long time ago (the need to use
    an RLE file and to reduce the number of colours to 16 has been dropped as of
    syslinux version 3.62). So replace obsolete code with a simple cp command.
  * debian/control: Drop Recommends: on netpbm and syslinux-utils. These are no
    longer needed now that custom splash images are used unmodified.

  [ Petter Reinholdtse ]
  * Include eatmydata deb for d-i to use offline. Closes: #986772

  [ Steve McIntyre ]
  * Shorten "ppc64el" to "p64el" in the volume ID. The bullseye d-i
    RC1 build failed as the volume ID was too long.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Apr 2021 01:03:35 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Package: debian-cd
 Architecture: all
 Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt, make, xorriso | genisoimage, lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl, wget
-Recommends: hfsutils, netpbm, isolinux, syslinux-common, syslinux-utils, mtools, dosfstools
+Recommends: hfsutils, isolinux, syslinux-common, mtools, dosfstools
 Description: Tools for building (Official) Debian CD set
  Debian-cd is the official tool for building Debian CD set since the potato
  release. It was formerly called YACS (for Yet Another CD Script).

## debian-cd 3.1.35

=== debian/changelog ===
debian-cd (3.1.35) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add brltty and espeakup to all images from netinst up, for blind
    users. Closes: #678065

  [ Cyril Brulebois ]
  * Add script to generate firmware metadata from appdata metadata,
    and use it when building a media tree. See: #989863

 -- Steve McIntyre <93sam@debian.org>  Mon, 26 Jul 2021 01:02:03 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 Package: debian-cd
 Architecture: all
-Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt, make, xorriso | genisoimage, lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl, wget
+Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt, make, xorriso | genisoimage, lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl, wget, libfile-slurp-perl, libyaml-libyaml-perl
 Recommends: hfsutils, isolinux, syslinux-common, mtools, dosfstools
 Description: Tools for building (Official) Debian CD set
  Debian-cd is the official tool for building Debian CD set since the potato

## debian-cd 3.1.35A~5.1.0.202303241838

=== Makefile ===
--- 
+++ 
@@ -165,7 +165,6 @@
 	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
 	$(Q)echo "- generating dynamic task files"
 	$(Q)set -e; cd $(TASKDIR); \
-		$(BASEDIR)/tools/update_tasks; \
 		$(BASEDIR)/tools/generate_di_list; \
 		$(BASEDIR)/tools/generate_di+k_list
 ifeq ($(FORCE_FIRMWARE),1)
@@ -251,7 +250,7 @@
 			fi; \
 		else \
 			$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
-			perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
+			perl -000 -ne 's/^(Package: (\S+))$$/$$1\nStatus: install ok installed/m; print if (not $$seen{$$2}++ and (/^Priority: (required|important|standard)/m or /^Section: base/m));' \
 			>> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
 			if [ "$$BACKPORTS"x != ""x ] ; then \
 				$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
@@ -268,7 +267,7 @@
 	$(Q)dpkg -x $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) $(ARCHIVE_KEYRING_PACKAGE)) $(TDIR)/archive-keyring
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
-		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
+		ln -sf $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
 		for key in $(ARCHIVE_EXTRA_KEYS); do \
 			gpg --export -a $$key >> $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d/$$key.asc; \
 		done; \
@@ -325,13 +324,13 @@
 			export ARCH=$$ARCH; \
 			for i in `$(apt) deselected -f install`; do \
 				echo $$ARCH:$$i; \
-				perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
+				perl -i -000 -ne "print unless /^Package: \Q$$i\E\$$/m" \
 				$(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
 			if [ "$$BACKPORTS"x != ""x ] ; then \
 				for i in `USE_BP=1 $(apt) deselected -f install`; do \
 					echo $$ARCH:$$i; \
-					perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
+					perl -i -000 -ne "print unless /^Package: \Q$$i\E$$/m" \
 					$(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
 				done; \
 			fi; \
@@ -343,19 +342,15 @@
 	if [ "$(ARCHES)" != "source" ] ; then \
 		for ARCH in $(ARCHES_NOSRC); do \
 			export ARCH=$$ARCH; \
-			for i in `$(apt) selected -f install`; do \
-				echo $$ARCH:$$i; \
-				$(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
-				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
+			$(apt) selected -f install | \
+			xargs --no-run-if-empty $(apt) cache --no-all-versions show "$$i" | \
+			perl -000 -npe "s/^(Package: \S+)\$$/\$$1\nStatus: install ok installed/m;" \
 				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
-			done; \
-			if [ "$$BACKPORTS"x != ""x ] ; then \
-				for i in `USE_BP=1 $(apt) selected -f install`; do \
-					echo $$ARCH:$$i; \
-					USE_BP=1 $(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
-					"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				USE_BP=1 $(apt) selected -f install | \
+				USE_BP=1 xargs --no-run-if-empty $(apt) cache --no-all-versions show "$$i" | \
+				perl -000 -npe "s/^(Package: \S+)\$$/\$$1\nStatus: install ok installed/m;" \
 					>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
-				done; \
 			fi; \
 		done; \
     fi
@@ -381,3 +376,5 @@
 
 ## GENERATING LISTS ##
 
+# Deleting the list only
+deletelist: ok

=== debian/changelog ===
debian-cd (3.1.35A~5.1.0.202303241838) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35918-added-debug-output
    0003-Replace-previous-sym-links
    0004-Use-only-first-package-candidate
    0005-Anchor-package-name-regular-expression
    0006-Invoke-apt-cache-only-once
    0007-Bug-38913-Drop-other-kernel-modules
    0008-Bug-37008-DVD-Fix-relative-paths
    0009-Bug-37008-DVD-Use-copy-as-fallback-for-hard-linking
    0010-Bug-37164-DVD-Disable-Debian-task-rebuilding
    0011-Bug-36268-DVD-Remove-Debian-specific-documentation
    0012-Bug-45868-DVD-Fix-MD5-Ss-um-parsing
    0013-Bug-45868-DVD-hard-code-component-main

 -- Univention builddaemon <buildd@univention.de>  Fri, 24 Mar 2023 18:38:33 +0100

## debian-cd 3.1.36

=== debian/changelog ===
debian-cd (3.1.36) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start bookworm development, copy the bullseye dirs to bookworm as
    a start.
  * Use $CODENAME/updates for security pre-bullseye, or
    $CODENAME-security for bullseye onwards.
  * Tweak grub boot menu highlight graphics to work again - switch
    from greyscale to colour, as newer grub has removed greyscale PNG
    support. Closes: #1013079, #1013432.
  * Add non-free-firmware support
    + Add an extra config variable NONFREE_COMPONENTS to declare where
      to look for non-free packages.
  * Add a Contents-firmware file to help with looking up firmware
    packages in d-i.
  * Change how we find the installer when booting via grub-efi:
    instead of looking for the .disk/info file, use .disk/id/$UUID
    instead. Closes: #1024346, #1024720.
  * Add 32-bit EFI binaries to all amd64 images too, so we no longer
    need a multi-arch image for Bay Trail etc.
  * Stop adding win32-loader stuff, it's dead.

  [ Cyril Brulebois ]
  * generate_firmware_patterns: Drop support for the temporary --test
    option.

  [ Raphaël Hertzog ]
  * Add cryptsetup-initramfs to tools/generate_di+k_list as cryptsetup 2.4.0
    dropped the recommends on the package and it's needed by d-i.
  * Fix install_firmwares_initrd to not fail when the firmware is not found.
  * Implement recursive lookup of Recommends and Suggests in sort_deps.
    Closes: #601203
  * Remove tools/sort_deps_edu since its only purpose was to try to implement
    the above recursive lookup.
  * Remove dead code in sort_deps and improve generated log messages.

  [ Wolfgang Schweer ]
  * data/bookworm: Use Debian Edu 12 installer logo and syslinux splash image
    from src:debian-edu-artwork 2.12.0.1-1 (showing version number 12).
  * tasks/sid: Replace bullseye with bookworm.

  [ Daniel Lewart ]
  * Update default CODENAME to bookworm in various places.
    Closes: #994121

  [ Jonathan Hettwer ]
  * Avoid embedding timestamps into gzipped Packages and Translations files.
  * Pass --invariant and -i deb00001 to mkfs.msdos

  [ Samuel Thibault ]
  * On firmware images, include the sound firmwares in the espeakup-enabled
    initrd itself. Closes: #992699

  [ John Paul Adrian Glaubitz ]
  * Remove leftover files of silo bootloader on sparc.
  * Remove leftover files of silo bootloader on sparc64.

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1, 2, 3.
  * Update standards version to 4.6.1, no changes needed.

  [ Holger Levsen ]
  * Update standards version to 4.6.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 15 Jan 2023 13:11:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Holger Levsen <holger@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: tofrodos
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/images-team/debian-cd.git
 Vcs-Browser: https://salsa.debian.org/images-team/debian-cd
